-- Пример загрузки данных из текстовых файлов
-- 13 декабря 2013

-- Этот код должен быть выполнен после установки SaveToDB Framework из файла framework-install-ru.sql
-- SaveToDB Framework также можно установить из Microsoft Excel с помощью Мастера установки SaveToDB Framework.

CREATE TABLE [Files] (
    [FileName] nvarchar(255) NOT NULL, 
    [Time] datetime, 
    [Size] int, 
    [MergeDate] datetime
    CONSTRAINT [PK_Files] PRIMARY KEY
(
    [FileName]
)
);
GO

INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES (NULL,'Files','TABLE',NULL,NULL,NULL);
GO
INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('dir.csv;CodePage={CodePage=65001}','dir.csv','TEXT','Files','Files','Files');
GO
INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('dir.xml;CodePage={CodePage=65001}','dir.xml','TEXT','Files','Files','Files');
GO
INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('dir.htm;CodePage={CodePage=65001}','dir.htm','TEXT','Files','Files','Files');
GO

INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'dir.csv',NULL,'Actions','cmd /k dir-to-csv.cmd','Update CSV','CMD',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'dir.xml',NULL,'Actions','cmd /k dir-to-xml.cmd','Update XML','CMD',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'dir.htm',NULL,'Actions','cmd /k dir-to-htm.cmd','Update HTM','CMD',NULL,11,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'dir.csv',NULL,'Actions','notepad.exe {TableName}','Open source file','CMD',NULL,12,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'dir.xml',NULL,'Actions','notepad.exe {TableName}','Open source file','CMD',NULL,12,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'dir.htm',NULL,'Actions','{TableName}','Open source file','CMD',NULL,12,NULL);
GO
INSERT INTO [EventHandlers] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[EVENT_NAME],[HANDLER_SCHEMA],[HANDLER_NAME],[HANDLER_TYPE],[TARGET_WORKSHEET],[MENU_ORDER],[EDIT_PARAMETERS]) VALUES (NULL,'Files',NULL,'Actions',NULL,'Refresh source tables','REFRESH','CSV XML HTM',12,NULL);
GO

INSERT INTO [ObjectTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC],[TRANSLATED_COMMENT]) VALUES (NULL,'Update CSV','ru','Обновить CSV',NULL,NULL);
GO
INSERT INTO [ObjectTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC],[TRANSLATED_COMMENT]) VALUES (NULL,'Update XML','ru','Обновить XML',NULL,NULL);
GO
INSERT INTO [ObjectTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC],[TRANSLATED_COMMENT]) VALUES (NULL,'Update HTM','ru','Обновить HTM',NULL,NULL);
GO
INSERT INTO [ObjectTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC],[TRANSLATED_COMMENT]) VALUES (NULL,'Open source file','ru','Открыть исходный файл',NULL,NULL);
GO
INSERT INTO [ObjectTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC],[TRANSLATED_COMMENT]) VALUES (NULL,'Refresh source tables','ru','Обновить исходные таблицы',NULL,NULL);
GO

INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,NULL,'FileName','ru','Имя файла',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,NULL,'Time','ru','Дата',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,NULL,'Size','ru','Размер',NULL);
GO
INSERT INTO [ColumnTranslation] ([TABLE_SCHEMA],[TABLE_NAME],[COLUMN_NAME],[LANGUAGE_NAME],[TRANSLATED_NAME],[TRANSLATED_DESC]) VALUES (NULL,NULL,'MergeDate','ru','Дата слияния',NULL);
GO
