-- Приложение загрузки курсов валют
-- 15 июля 2014

-- Этот код должен быть выполнен после установки SaveToDB Framework

CREATE TABLE [Rates] (
    [Currency] nvarchar(50) NOT NULL, 
    [Date] datetime NOT NULL, 
    [Rate] money,
    CONSTRAINT [PK_Rates] PRIMARY KEY ([Currency], [Date])
);
GO

INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES (NULL,'Rates','TABLE',NULL,NULL,NULL);
GO
INSERT INTO [QueryList] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_TYPE],[INSERT_PROCEDURE],[UPDATE_PROCEDURE],[DELETE_PROCEDURE]) VALUES ('SELECT
 r.[Date]
 , r.Rate AS [USD]
 , e.Rate AS [EURO]
FROM
 Rates AS r
 LEFT OUTER JOIN Rates AS e ON e.[Date] = r.[Date] AND e.Currency = ''EURO''
WHERE
 r.Currency = ''USD''
ORDER BY
 r.[Date] DESC','Rates USD and EURO','CODE',NULL,NULL,NULL);
GO

INSERT INTO [TableFormats] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_EXCEL_FORMAT_XML]) VALUES (NULL,'Rates','<?xml version="1.0" encoding="Unicode"?>
<table name=".Rates">
<columnFormats>
<column name="" property="ListObjectName" value="Table_Database" type="String" />
<column name="" property="ShowTotals" value="False" type="Boolean" />
<column name="" property="TableStyle.Name" value="TableStyleMedium2" type="String" />
<column name="" property="ShowTableStyleColumnStripes" value="False" type="Boolean" />
<column name="" property="ShowTableStyleFirstColumn" value="False" type="Boolean" />
<column name="" property="ShowShowTableStyleLastColumn" value="False" type="Boolean" />
<column name="" property="ShowTableStyleRowStripes" value="True" type="Boolean" />
<column name="_RowNum" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="_RowNum" property="Address" value="$B$5" type="String" />
<column name="Currency" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Currency" property="Address" value="$C$5" type="String" />
<column name="Currency" property="ColumnWidth" value="10.29" type="Double" />
<column name="Date" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Date" property="Address" value="$D$5" type="String" />
<column name="Date" property="ColumnWidth" value="10.71" type="Double" />
<column name="Date" property="NumberFormat" value="dd/mm/yy;@" type="String" />
<column name="Rate" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Rate" property="Address" value="$E$5" type="String" />
<column name="Rate" property="ColumnWidth" value="10.86" type="Double" />
<column name="Rate" property="NumberFormat" value="0.0000" type="String" />
<column name="SortFields(1)" property="KeyfieldName" value="Currency" type="String" />
<column name="SortFields(1)" property="SortOn" value="0" type="Double" />
<column name="SortFields(1)" property="Order" value="1" type="Double" />
<column name="SortFields(1)" property="DataOption" value="0" type="Double" />
<column name="SortFields(2)" property="KeyfieldName" value="Date" type="String" />
<column name="SortFields(2)" property="SortOn" value="0" type="Double" />
<column name="SortFields(2)" property="Order" value="2" type="Double" />
<column name="SortFields(2)" property="DataOption" value="0" type="Double" />
<column name="" property="ActiveWindow.DisplayGridlines" value="False" type="Boolean" />
<column name="" property="ActiveWindow.FreezePanes" value="True" type="Boolean" />
<column name="" property="ActiveWindow.Split" value="True" type="Boolean" />
<column name="" property="ActiveWindow.SplitRow" value="0" type="Double" />
<column name="" property="ActiveWindow.SplitColumn" value="-2" type="Double" />
<column name="" property="PageSetup.Orientation" value="1" type="Double" />
<column name="" property="PageSetup.Zoom" value="100" type="Double" />
</columnFormats>
</table>
');
GO
INSERT INTO [TableFormats] ([TABLE_SCHEMA],[TABLE_NAME],[TABLE_EXCEL_FORMAT_XML]) VALUES (NULL,'Rates USD and EURO','<?xml version="1.0" encoding="Unicode"?>
<table name=".Rates USD and EURO">
<columnFormats>
<column name="" property="ListObjectName" value="Table_USD_EURO" type="String" />
<column name="" property="ShowTotals" value="False" type="Boolean" />
<column name="" property="TableStyle.Name" value="TableStyleMedium2" type="String" />
<column name="" property="ShowTableStyleColumnStripes" value="False" type="Boolean" />
<column name="" property="ShowTableStyleFirstColumn" value="False" type="Boolean" />
<column name="" property="ShowShowTableStyleLastColumn" value="False" type="Boolean" />
<column name="" property="ShowTableStyleRowStripes" value="True" type="Boolean" />
<column name="_RowNum" property="EntireColumn.Hidden" value="True" type="Boolean" />
<column name="_RowNum" property="Address" value="$B$5" type="String" />
<column name="Date" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="Date" property="Address" value="$C$5" type="String" />
<column name="Date" property="ColumnWidth" value="10.71" type="Double" />
<column name="Date" property="NumberFormat" value="dd/mm/yy;@" type="String" />
<column name="USD" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="USD" property="Address" value="$D$5" type="String" />
<column name="USD" property="ColumnWidth" value="10.71" type="Double" />
<column name="USD" property="NumberFormat" value="0.0000" type="String" />
<column name="EURO" property="EntireColumn.Hidden" value="False" type="Boolean" />
<column name="EURO" property="Address" value="$E$5" type="String" />
<column name="EURO" property="ColumnWidth" value="10.71" type="Double" />
<column name="EURO" property="NumberFormat" value="0.0000" type="String" />
<column name="USD" property="FormatConditions(1).AppliesTo.Address" value="$D$5:$D$238" type="String" />
<column name="USD" property="FormatConditions(1).Type" value="3" type="Double" />
<column name="USD" property="FormatConditions(1).Priority" value="2" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(1).Type" value="1" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(1).Value" value="29.9251" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(1).FormatColor.Color" value="7039480" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(2).Type" value="5" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(2).Value" value="50" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(2).FormatColor.Color" value="8711167" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(3).Type" value="2" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(3).Value" value="33.4656" type="Double" />
<column name="USD" property="FormatConditions(1).ColorScaleCriteria(3).FormatColor.Color" value="8109667" type="Double" />
<column name="EURO" property="FormatConditions(1).AppliesTo.Address" value="$E$5:$E$238" type="String" />
<column name="EURO" property="FormatConditions(1).Type" value="3" type="Double" />
<column name="EURO" property="FormatConditions(1).Priority" value="1" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(1).Type" value="1" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(1).Value" value="39.6385" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(1).FormatColor.Color" value="7039480" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(2).Type" value="5" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(2).Value" value="50" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(2).FormatColor.Color" value="8711167" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(3).Type" value="2" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(3).Value" value="45.187" type="Double" />
<column name="EURO" property="FormatConditions(1).ColorScaleCriteria(3).FormatColor.Color" value="8109667" type="Double" />
<column name="SortFields(1)" property="KeyfieldName" value="Date" type="String" />
<column name="SortFields(1)" property="SortOn" value="0" type="Double" />
<column name="SortFields(1)" property="Order" value="2" type="Double" />
<column name="SortFields(1)" property="DataOption" value="0" type="Double" />
<column name="" property="ActiveWindow.DisplayGridlines" value="False" type="Boolean" />
<column name="" property="ActiveWindow.FreezePanes" value="True" type="Boolean" />
<column name="" property="ActiveWindow.Split" value="True" type="Boolean" />
<column name="" property="ActiveWindow.SplitRow" value="0" type="Double" />
<column name="" property="ActiveWindow.SplitColumn" value="-2" type="Double" />
<column name="" property="PageSetup.Orientation" value="1" type="Double" />
<column name="" property="PageSetup.Zoom" value="100" type="Double" />
</columnFormats>
</table>
');
GO

-- print Приложение загрузки курсов валют установлено
